wxThumbBarButton Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxThumbBarButton Class Reference
Class List by Category » Miscellaneous

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/taskbarbutton.h>`

## Detailed Description

A thumbnail toolbar button is a control that displayed in the thumbnail image of a window in a taskbar button flyout.

##

Library: wxCore
Category: Miscellaneous
Availability: only available for the wxMSW port.

See also
  wxTaskBarButton

Since
  3.1.0

## Public Member Functions
| wxThumbBarButton ()
| Default constructor to allow 2-phase creation.
| wxThumbBarButton (int id, const wxIcon &icon, const wxString &tooltip=wxString(), bool enable=true, bool dismissOnClick=false, bool hasBackground=true, bool shown=true, bool interactive=true)
| Constructs the thumbnail toolbar button.
bool | Create (int id, const wxIcon &icon, const wxString &tooltip=wxString(), bool enable=true, bool dismissOnClick=false, bool hasBackground=true, bool shown=true, bool interactive=true)
virtual | ~wxThumbBarButton ()
int | GetID () const
| Returns the identifier associated with this control.
const wxIcon & | GetIcon () const
| Returns the icon associated with this control.
const wxString & | GetTooltip () const
| Returns the tooltip.
bool | IsEnable () const
| Returns true if the button is enabled, false if it has been disabled.
void | Enable (bool enable=true)
| Enables or disables the thumbnail toolbar button.
void | Disable ()
| Equivalent to calling wxThumbBarButton::Enable(false).
bool | IsDismissOnClick () const
| Returns true if the button will dismiss on click.
void | EnableDismissOnClick (bool enable=true)
| Whether the window thumbnail is dismissed after a button click.
void | DisableDimissOnClick ()
| Equivalent to calling wxThumbBarButton::DisableDimissOnClick(false).
bool | HasBackground () const
| Returns true if the button has button border.
void | SetHasBackground (bool has=true)
| Set the property that whether the button has background.
bool | IsShown () const
| Returns true if the button is shown, false if it has been hidden.
void | Show (bool shown=true)
| Show or hide the thumbnail toolbar button.
void | Hide ()
| Hide the thumbnail toolbar button.
bool | IsInteractive () const
| Returns true if the button is interactive.
void | SetInteractive (bool interactive=true)
| Set the property which holds whether the button is interactive.

## Constructor & Destructor Documentation

## ◆ wxThumbBarButton() [1/2]

wxThumbBarButton::wxThumbBarButton | ( |  | ) |

Default constructor to allow 2-phase creation.

## ◆ wxThumbBarButton() [2/2]

wxThumbBarButton::wxThumbBarButton | ( | int | id,
|  | const wxIcon & | icon,
|  | const wxString & | tooltip = wxString(),
|  | bool | enable = true,
|  | bool | dismissOnClick = false,
|  | bool | hasBackground = true,
|  | bool | shown = true,
|  | bool | interactive = true )

Constructs the thumbnail toolbar button.

Parameters

  id | The identifier for the control.
  icon | The icon used as the button image.
  tooltip | The text of the button's tooltip, displayed when the mouse pointer hovers over the button.
  enable | If true (default), the button is active and available to the user. If false, the button is disabled. It is present, but has a visual state that indicates that it will not respond to user action.
  dismissOnClick | If true, when the button is clicked, the taskbar button's flyout closes immediately. false by default.
  hasBackground | If false, the button border is not drawn. true by default.
  shown | If false, the button is not shown to the user. true by default.
  interactive | If false, the button is enabled but not interactive; no pressed button state is drawn. This flag is intended for instances where the button is used in a notification. true by default.

## ◆ ~wxThumbBarButton()

virtual wxThumbBarButton::~wxThumbBarButton | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Create()

bool wxThumbBarButton::Create | ( | int | id,
|  | const wxIcon & | icon,
|  | const wxString & | tooltip = wxString(),
|  | bool | enable = true,
|  | bool | dismissOnClick = false,
|  | bool | hasBackground = true,
|  | bool | shown = true,
|  | bool | interactive = true )

## ◆ Disable()

void wxThumbBarButton::Disable | ( |  | ) |

Equivalent to calling wxThumbBarButton::Enable(false).

## ◆ DisableDimissOnClick()

void wxThumbBarButton::DisableDimissOnClick | ( |  | ) |

Equivalent to calling wxThumbBarButton::DisableDimissOnClick(false).

## ◆ Enable()

void wxThumbBarButton::Enable | ( | bool | enable = true | ) |

Enables or disables the thumbnail toolbar button.

## ◆ EnableDismissOnClick()

void wxThumbBarButton::EnableDismissOnClick | ( | bool | enable = true | ) |

Whether the window thumbnail is dismissed after a button click.

## ◆ GetIcon()

const wxIcon & wxThumbBarButton::GetIcon | ( |  | ) | const

Returns the icon associated with this control.

## ◆ GetID()

int wxThumbBarButton::GetID | ( |  | ) | const

Returns the identifier associated with this control.

## ◆ GetTooltip()

const wxString & wxThumbBarButton::GetTooltip | ( |  | ) | const

Returns the tooltip.

## ◆ HasBackground()

bool wxThumbBarButton::HasBackground | ( |  | ) | const

Returns true if the button has button border.

## ◆ Hide()

void wxThumbBarButton::Hide | ( |  | ) |

Hide the thumbnail toolbar button.

Equivalent to calling wxThumbBarButton::Show(false).

## ◆ IsDismissOnClick()

bool wxThumbBarButton::IsDismissOnClick | ( |  | ) | const

Returns true if the button will dismiss on click.

## ◆ IsEnable()

bool wxThumbBarButton::IsEnable | ( |  | ) | const

Returns true if the button is enabled, false if it has been disabled.

## ◆ IsInteractive()

bool wxThumbBarButton::IsInteractive | ( |  | ) | const

Returns true if the button is interactive.

## ◆ IsShown()

bool wxThumbBarButton::IsShown | ( |  | ) | const

Returns true if the button is shown, false if it has been hidden.

## ◆ SetHasBackground()

void wxThumbBarButton::SetHasBackground | ( | bool | has = true | ) |

Set the property that whether the button has background.

## ◆ SetInteractive()

void wxThumbBarButton::SetInteractive | ( | bool | interactive = true | ) |

Set the property which holds whether the button is interactive.

A non-interactive thumbnail toolbar button does not react to user interaction, but is still visually enabled.

## ◆ Show()

void wxThumbBarButton::Show | ( | bool | shown = true | ) |

Show or hide the thumbnail toolbar button.